<div style="margin-bottom: 15px;">
    <p-dataTable
        [value]="purchaseOrderItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="10"
        [rowsPerPageOptions]="[10,15,20,50]" 
        [totalRecords]="totalItems" 
        [responsive]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPurOrdIte,"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="addNewData()">
                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Urut">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noUrut}}
            </ng-template>
        </p-column>
        <p-column header="Kode Barang">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.codeProduk}}
            </ng-template>
        </p-column>
        <p-column header="Nama Barang">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.produkName}}
            </ng-template>
        </p-column>
        <p-column header="Kuantitas">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty}}
            </ng-template>
        </p-column>
        <p-column header="Satuan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.unit}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Kirim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtSent | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal penawaran">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtOffer | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="No Penawaran">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.offerNumber}}
            </ng-template>
        </p-column>
        <p-column header="Nama supplier">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.supplyerName}}
            </ng-template>
        </p-column>
        <p-column header="Mata Uang">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.mataUang}}
            </ng-template>
        </p-column>
        <p-column header="Harga">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.supplierPrice}}
            </ng-template>
        </p-column>
        <p-column header="Peruntukan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.necessity}}
            </ng-template>
        </p-column>
       <!-- <p-column header="Tgl Dibutuhkan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtNecessity | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column> -->
        <!--  <p-column header="Sisa Stock">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.remainingStock}}
            </ng-template>
        </p-column>
        <p-column header="Sisa PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.remainingPo}}
            </ng-template>
        </p-column> -->
        <p-column header="Catatan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.remainingStock}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}" >
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    (click)="editItem(rowData.idPurOrdItem)"
                    icon="fa-pencil" pTooltip="Edit Item"
                    class="flat-button">
                </button>
                <button pButton type="button" 
                    (click)="delete(rowData.idPurOrdItem)"
                    icon="fa-remove"
                    pTooltip="Delete Item"
                    class="flat-button"> 
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>

<p-dialog header="Tambah Item" [(visible)]="newModal" modal="true" [width]="750">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <div class="card-deck" style="margin: 15px;">
                <div class="row">
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                                [style]="{'width':'100%'}"
                                [(ngModel)]="selectedKdBarang" id="field_KdBarang" name="KdBarangs"
                                [filter]="true" filterBy="label" 
                                (onChange)="selectKdBarang(true)"
                            ></p-dropdown>
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">No Urut</label>
                            <input currencyMask class="form-control" name="inputNoUrut" id="field_qty"
                                [(ngModel)]="noUrut"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                            (completeMethod)="filterBarangSingle($event)" [size]="28" name="KdBarangs"
                            [minLength]="1"
                            [filter]="true"
                            filterBy="label"  field="kdBahan"placeholder="Please Select Or Insert" [dropdown]="true"
                            (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_barang">Nama Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                            (completeMethod)="filterBarangSingle($event)" [size]="28" name="barangs"
                            [minLength]="1" field="nmBahan"placeholder="Please Select Or Insert" [dropdown]="true"
                            (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_pic">PIC Barang</label>
                            <input type="text" class="form-control" name="pic" id="field_pic"
                                [(ngModel)]="picBarang" readonly/>
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Kode Barang</label>
                            <input type="text" class="form-control" name="inputCodeName" id="field_inputCodeName" 
                            [(ngModel)]="purchaseOrderItem.codeProduk" 
                            readonly/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Nama Barang</label><br>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang" 
                            (completeMethod)="filterBarangSingle($event)" [size]="26" name="barangs"
                            [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert" 
                            [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">Qty Request</label>
                            <!-- <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true" 
                            name="inputQty" id="field_qty" [(ngModel)]="inputQty"/> -->
                            <input type="number" class="form-control" name="inputQty" id="field_qty"
                                [(ngModel)]="purchaseOrderItem.qty"
                                />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">Qty</label>
                            <input currencyMask class="form-control" name="inputQty" id="field_qty"
                                [(ngModel)]="purchaseOrderItem.qty"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_satuan">Satuan</label>
                            <!-- <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true" 
                            name="inputQty" id="field_qty" [(ngModel)]="inputQty"/> -->
                            <input type="text" class="form-control" name="inputSatuan" id="field_satuan"
                                [(ngModel)]="inputSatuan" *ngIf="internal !== 'PPIC'" [hidden]="internal === 'PPIC'"/>
                                
                            <select class="form-control" id="field_satuan" *ngIf="internal === 'PPIC'" [hidden]="internal !== 'PPIC'" name="inputSatuan" [(ngModel)]="inputSatuan">
                                <option [ngValue]="satHargaOption.value" *ngFor="let satHargaOption of listSatuan">{{satHargaOption.label}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label mandatory" for="field_dtRequest">Tgl Kirim</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtRequest" name="input_dtRequest" [(ngModel)]="inputDtRequest"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Nama Supplier</label><br>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers" 
                            (completeMethod)="filterSupplierSingle($event)" [size]="26" name="suplier"
                            [minLength]="1" field="nmSupplier" placeholder="Please Select Or Insert" (onSelect)="selectSupplier(true)" [dropdown]="true"></p-autoComplete>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_dtOffer">Tgl Penawaran</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtOffer" name="inputDtOffer" [(ngModel)]="purchaseOrderItem.dtOffer"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" [size]="30"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_offerNumber">No Penawaran</label>
                            <input type="text" class="form-control" name="offerNumber" id="field_offerNumber"
                                [(ngModel)]="purchaseOrderItem.OfferNumber"
                                />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                            <div class="form-group">
                                <label for="field_barang">Nama Supplier</label>
                                <p-dropdown [options]="listSupplier" styleClass="form-control" autoWidth="false"
                                    [style]="{'width':'100%'}"
                                    [(ngModel)]="purchaseOrderItem.supplyerName" editable="editable" id="field_Supplier" name="supplier"
                                    [filter]="true" filterBy="label"
                                ></p-dropdown>
                            </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_mat">Mata Uang</label>
                            <select class="form-control" id="field_need" name="mat" [(ngModel)]="inputSatHarga">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="satHargaOption.value" *ngFor="let satHargaOption of satHarga">{{satHargaOption.label}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_supplierPrice">Harga Penawaran</label>
                            <input currencyMask class="form-control" name="supplierPrice" id="field_supplierPrice"
                                [(ngModel)]="purchaseOrderItem.supplierPrice"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-6" [hidden]="(peruntukan === 'Non Rutin')">
                        <div class="form-group">
                            <label class="form-control-label" for="field_necessity">Peruntukan</label>
                            <input type="text" class="form-control" name="necessity" id="field_necessity"
                                [(ngModel)]="purchaseOrderItem.necessity" />
                        </div>
                    </div>
                    <div class="col-md-6" [hidden]="(peruntukan === 'Rutin')">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_necessity">Peruntukan</label>
                            <p-dropdown [options]="listProj" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable"
                            [(ngModel)]="purchaseOrderItem.necessity" id="field_necessity" name="necessity"
                        ></p-dropdown>
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_necessity">Peruntukan</label>
                            <input type="text" class="form-control" name="necessity" id="field_necessity"
                                [(ngModel)]="purchaseOrderItem.necessity" />
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingStock">Catatan</label>
                            <input type="text" class="form-control" name="remainingStock" id="field_remainingStock"
                                [(ngModel)]="inputRemainingStock" />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingStock">Sisa Persediaan</label>
                            <input  currencyMask class="form-control" name="remainingStock" id="field_remainingStock"
                                [(ngModel)]="purchaseOrderItem.remainingStock" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingPo">Sisa PO</label>
                            <input  currencyMask class="form-control" name="remainingPo" id="field_remainingPo"
                                [(ngModel)]="purchaseOrderItem.remainingPo" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div> -->
                </div>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="{{'entity.action.save' | translate}}"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </div>
    </form>
</p-dialog>

<p-dialog header="Edit Item" [(visible)]="newModalEdit" modal="true" [width]="750">
    <form name="editForm" role="form" novalidate (ngSubmit)="saveEdit()" #editForm="ngForm">
        <div class="card-deck" style="margin: 15px;">
                <div class="row">
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                                [style]="{'width':'100%'}"
                                [(ngModel)]="selectedKdBarang" id="field_KdBarang" name="KdBarangs"
                                [filter]="true" filterBy="label" 
                                (onChange)="selectKdBarang(true)"
                            ></p-dropdown>
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">No Urut</label>
                            <input currencyMask class="form-control" name="inputNoUrut" id="field_qty"
                                [(ngModel)]="purchaseOrderItemEdit.noUrut"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_KdBarang">Kode Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                            (completeMethod)="filterBarangSingle($event)" [size]="28" name="KdBarangs"
                            [minLength]="1"
                            [filter]="true"
                            filterBy="label"  field="kdBahan"placeholder="Please Select Or Insert" [dropdown]="true"
                            (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="field_barang">Nama Barang</label>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                            (completeMethod)="filterBarangSingle($event)" [size]="28" name="barangs"
                            [minLength]="1" field="nmBahan"placeholder="Please Select Or Insert" [dropdown]="true"
                            (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_productCode">Kode Barang</label>
                            <input type="text" class="form-control" name="productCode" id="field_productCode"
                                [(ngModel)]="purchaseOrderItemEdit.codeProduk" readonly/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_productName">Nama Barang</label>
                            <input type="text" class="form-control" name="productName" id="field_productName"
                                [(ngModel)]="purchaseOrderItemEdit.produkName" readonly/>
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Kode Barang</label>
                            <input type="text" class="form-control" name="inputCodeName" id="field_inputCodeName" 
                            [(ngModel)]="purchaseOrderItem.codeProduk" 
                            readonly/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Nama Barang</label><br>
                            <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang" 
                            (completeMethod)="filterBarangSingle($event)" [size]="26" name="barangs"
                            [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert" 
                            [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">Qty Request</label>
                            <!-- <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true" 
                            name="inputQty" id="field_qty" [(ngModel)]="inputQty"/> -->
                            <input type="number" class="form-control" name="inputQty" id="field_qty"
                                [(ngModel)]="purchaseOrderItemEdit.qty"
                                />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qty">Qty</label>
                            <input currencyMask class="form-control" name="inputQty" id="field_qty"
                                [(ngModel)]="purchaseOrderItem.qty"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_satuan">Satuan</label>
                            <!-- <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true" 
                            name="inputQty" id="field_qty" [(ngModel)]="inputQty"/> -->
                            <input type="text" class="form-control" name="inputSatuan" id="field_satuan"
                                [(ngModel)]="purchaseOrderItemEdit.unit" *ngIf="internal !== 'PPIC'" [hidden]="internal === 'PPIC'" [disabled]="true"/>

                                <select class="form-control" id="field_satuan" *ngIf="internal === 'PPIC'" [hidden]="internal !== 'PPIC'" name="inputSatuan" [(ngModel)]="purchaseOrderItemEdit.unit" [disabled]="false">
                                    <option [ngValue]="satHargaOption.value" *ngFor="let satHargaOption of listSatuan">{{satHargaOption.label}}</option>
                                </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label mandatory" for="field_dtRequest">Tgl Kirim</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtRequest" name="input_dtRequest" [(ngModel)]="dtSentEdit"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label">Nama Supplier</label><br>
                            <p-autoComplete [(ngModel)]="newSuplierEdit" [suggestions]="filteredSuppliers" 
                            (completeMethod)="filterSupplierSingle($event)" [size]="26" name="suplier"
                            [minLength]="1" field="nmSupplier" placeholder="Please Select Or Insert" (onSelect)="selectSupplierEdit(true)" [dropdown]="true"></p-autoComplete>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_dtOffer">Tgl Penawaran</label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtOffer" name="inputDtOffer" [(ngModel)]="dtOfferEdit"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" [size]="30"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_offerNumber">No Penawaran</label>
                            <input type="text" class="form-control" name="offerNumber" id="field_offerNumber"
                                [(ngModel)]="purchaseOrderItemEdit.OfferNumber"
                                />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                            <div class="form-group">
                                <label for="field_barang">Nama Supplier</label>
                                <p-dropdown [options]="listSupplier" styleClass="form-control" autoWidth="false"
                                    [style]="{'width':'100%'}"
                                    [(ngModel)]="purchaseOrderItem.supplyerName" editable="editable" id="field_Supplier" name="supplier"
                                    [filter]="true" filterBy="label"
                                ></p-dropdown>
                            </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_mat">Mata Uang</label>
                            <select class="form-control" id="field_need" name="mat" [(ngModel)]="purchaseOrderItemEdit.mataUang">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="satHargaOption.value" *ngFor="let satHargaOption of satHarga">{{satHargaOption.label}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_supplierPrice">Harga Penawaran</label>
                            <input currencyMask class="form-control" name="supplierPrice" id="field_supplierPrice"
                                [(ngModel)]="purchaseOrderItemEdit.supplierPrice"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-6" [hidden]="(peruntukan === 'Non Rutin')">
                        <div class="form-group">
                            <label class="form-control-label" for="field_necessity">Peruntukan</label>
                            <input type="text" class="form-control" name="necessity" id="field_necessity"
                                [(ngModel)]="purchaseOrderItemEdit.necessity" />
                        </div>
                    </div>
                    <div class="col-md-6" [hidden]="(peruntukan === 'Rutin')">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_necessity">Peruntukan</label>
                            <p-dropdown [options]="listProj" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable"
                            [(ngModel)]="purchaseOrderItemEdit.necessity" id="field_necessity" name="necessity"
                        ></p-dropdown>
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_necessity">Peruntukan</label>
                            <input type="text" class="form-control" name="necessity" id="field_necessity"
                                [(ngModel)]="purchaseOrderItem.necessity" />
                        </div>
                    </div> -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingStock">Catatan</label>
                            <input type="text" class="form-control" name="remainingStock" id="field_remainingStock"
                                [(ngModel)]="purchaseOrderItemEdit.remainingStock" />
                        </div>
                    </div>
                    <!-- <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingStock">Sisa Persediaan</label>
                            <input  currencyMask class="form-control" name="remainingStock" id="field_remainingStock"
                                [(ngModel)]="purchaseOrderItem.remainingStock" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_remainingPo">Sisa PO</label>
                            <input  currencyMask class="form-control" name="remainingPo" id="field_remainingPo"
                                [(ngModel)]="purchaseOrderItem.remainingPo" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div> -->
                </div>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="{{'entity.action.save' | translate}}"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </div>
    </form>
</p-dialog>

